
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D u_texture1;

void main() {
    vec4 color1 = texture2D(CC_Texture0, v_texCoord);
    vec4 color2 = texture2D(u_texture1, v_texCoord);
    gl_FragColor = v_fragmentColor * vec4(color2.r * color1.a + color1.r * (1.0 - color2.a),
		    																	color2.g * color1.a + color1.g * (1.0 - color2.a),
		    																	color2.b * color1.a + color1.b * (1.0 - color2.a),
		    																	color2.a * color1.a + color1.a * (1.0 - color2.a));
}

